Bug 150236 - devel/libpci lacks suitable pci.ids file
Summary: devel/libpci lacks suitable pci.ids file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-03 09:10 UTC by sten
Modified: 2010-09-28 10:34 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
2010-09-03 09:10 UTC, sten
no flags Details | Diff
libpci.patch (1.82 KB, patch)
2010-09-16 16:53 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sten 2010-09-03 09:10:04 UTC
	The libpci port looks for a compressed pci.ids in /usr/local/share.
	The two available versions are /usr/local/share/pciids/pci.ids (from
	misc/pciids) and /usr/local/share/pciutils/pci.ids.gz (from
	sysutils/pciutils if update-pciids has been run). So by default
	no suitable pci.ids is available in the expected location.

Fix: The supplied diff disables zlib, adds a misc/pciids dependency and
	changes the pci.ids path to /usr/local/share/pciids.
How-To-Repeat: 	Install devel/libpci
Comment 1 Edwin Groothuis freebsd_committer 2010-09-03 09:10:18 UTC
Maintainer of devel/libpci,

Please note that PR ports/150236 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150236

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-03 09:10:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Sunpoet Po-Chuan Hsieh 2010-09-16 16:53:38 UTC
On Fri, Sep 3, 2010 at 8:14 PM, Sten Spans <sten@blinkenlights.nl> wrote:
> On Fri, 3 Sep 2010, edwin@FreeBSD.org wrote:
>
>> Synopsis: devel/libpci lacks suitable pci.ids file
>>
>
> I just noticed that disabling gzip isn't needed.
> The pciids dependency still would be nice though.
>
> --
> Sten Spans
>
> "There is a crack in everything, that's how the light gets in."
> Leonard Cohen - Anthem

Hi,

I'll add misc/pciids to RUN_DEPENDS. (patch attached)
Thanks.

Regards,
sunpoet
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-17 00:29:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet is now a committer
Comment 5 sten 2010-09-17 06:59:27 UTC
On Thu, 16 Sep 2010, Sunpoet Hsieh wrote:

> On Fri, Sep 3, 2010 at 8:14 PM, Sten Spans <sten@blinkenlights.nl> wrote:
>> On Fri, 3 Sep 2010, edwin@FreeBSD.org wrote:
>>
>>> Synopsis: devel/libpci lacks suitable pci.ids file
>>>
>>
>> I just noticed that disabling gzip isn't needed.
>> The pciids dependency still would be nice though.
>>
>> --
>> Sten Spans
>>
>> "There is a crack in everything, that's how the light gets in."
>> Leonard Cohen - Anthem
>
> Hi,
>
> I'll add misc/pciids to RUN_DEPENDS. (patch attached)
> Thanks.

That should indeed solve the issue, thanks.

-- 
Sten Spans

"There is a crack in everything, that's how the light gets in."
Leonard Cohen - Anthem
Comment 6 dfilter service freebsd_committer 2010-09-28 09:56:53 UTC
sunpoet     2010-09-28 08:56:43 UTC

  FreeBSD ports repository

  Modified files:
    devel/libpci         Makefile 
    devel/libpci/files   patch-Makefile 
  Log:
  - Add misc/pciids to RUN_DEPENDS
  - Bump PORTREVISION
  
  PR:             ports/150236
  Submitted by:   Sten Spans <sten at blinkenlights.nl>
  Approved by:    pgollucci (mentor)
  
  Revision  Changes    Path
  1.18      +3 -1      ports/devel/libpci/Makefile
  1.4       +14 -5     ports/devel/libpci/files/patch-Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2010-09-28 10:34:15 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!